Skip to main content
GET
/
v1
/
workflows
List workflows
curl --request GET \
  --url https://api.rootly.com/v1/workflows \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/workflows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "workflows",
      "attributes": {
        "name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "command": "<string>",
        "command_feedback_enabled": true,
        "wait": "<string>",
        "repeat_every_duration": "<string>",
        "repeat_condition_duration_since_first_run": "<string>",
        "repeat_condition_number_of_repeats": 123,
        "continuously_repeat": true,
        "repeat_on": [],
        "enabled": true,
        "locked": true,
        "position": 123,
        "workflow_group_id": "<string>",
        "trigger_params": {
          "trigger_type": "incident",
          "triggers": [
            "<string>"
          ],
          "incident_visibilities": [
            true
          ],
          "incident_kinds": [],
          "incident_statuses": [],
          "incident_inactivity_duration": "<string>",
          "incident_condition": "ALL",
          "incident_condition_visibility": "ANY",
          "incident_condition_kind": "IS",
          "incident_condition_status": "ANY",
          "incident_condition_sub_status": "ANY",
          "incident_condition_environment": "ANY",
          "incident_condition_severity": "ANY",
          "incident_condition_incident_type": "ANY",
          "incident_condition_incident_roles": "ANY",
          "incident_condition_service": "ANY",
          "incident_condition_functionality": "ANY",
          "incident_condition_group": "ANY",
          "incident_condition_cause": "ANY",
          "incident_condition_label": "ANY",
          "incident_condition_label_use_regexp": false,
          "incident_labels": [
            "<string>"
          ],
          "incident_post_mortem_condition_cause": "ANY",
          "incident_conditional_inactivity": "IS"
        },
        "environment_ids": [
          "<string>"
        ],
        "severity_ids": [
          "<string>"
        ],
        "incident_type_ids": [
          "<string>"
        ],
        "incident_role_ids": [
          "<string>"
        ],
        "service_ids": [
          "<string>"
        ],
        "functionality_ids": [
          "<string>"
        ],
        "group_ids": [
          "<string>"
        ],
        "cause_ids": [
          "<string>"
        ],
        "sub_status_ids": [
          "<string>"
        ]
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123,
    "next_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
enum<string>

comma separated if needed. eg: form_field_conditions,alert_field_conditions

Available options:
form_field_conditions,
alert_field_conditions,
genius_tasks,
genius_workflow_runs
sort
enum<string>

comma separated if needed. eg: created_at,updated_at

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
position,
-position
page[number]
integer
page[size]
integer
filter[name]
string
filter[slug]
string
filter[created_at][gt]
string
filter[created_at][gte]
string
filter[created_at][lt]
string
filter[created_at][lte]
string
filter[slug][eq]
string
filter[slug][not_eq]
string
filter[slug][in]
string
filter[slug][not_in]
string
filter[name][eq]
string
filter[name][not_eq]
string
filter[name][in]
string
filter[name][not_in]
string

Response

200 - application/vnd.api+json

success

data
object[]
required
meta
object
required
included
object[]